{% extends 'base.html' %}

{% block title %}
Recipe Detail
{% endblock title %}

{% block content %}
<main>
  <div>
    <h1>{{ recipe.name }}</h1>
    <br>
    <h3>Ingredients</h3>
    <table class="pantry-table">
      <thead>
        <th>Name</th>
        <th>In pantry?</th>
      </thead>
      <tbody>
    {% for ingredient in recipe.ingredients.all %}
        <tr>
          <td><a href="{% url 'ingredient_suggestion' ingredient.id %}">{{ ingredient.name }}</a></td>
          <td>{{ ingredient.in_pantry|yesno }}</td>
        </tr>
    {% endfor %}
      </tbody>
    </table>
    <br>
    <h3>Instructions</h3>
    <br>
    <p>{{ recipe.description }}</p>
    <br>
    <button class="new-button" onclick="window.location.href='{% url 'edit_recipe' recipe.id %}';">Edit this recipe?</button>
    <button class="new-button" onclick="window.location.href='{% url 'delete_confirmation' recipe.id %}';">Delete this recipe?</a></p>
  </div>
</main>
{% endblock content %}
